precision mediump float;

varying vec2 v_texcoord_0;
varying vec3 v_lighting;

uniform sampler2D s_diffuse;

void main()
{
	vec4 sample = texture2D( s_diffuse, v_texcoord_0 );
	gl_FragColor.rgb = sample.rgb * v_lighting;
	gl_FragColor.a = sample.a;
}
